/* Copyright (C) 2021,2022 fef <owo@fef.moe>.  All rights reserved. */

#pragma once
#define _ARCH_VMPARAM_H_

#ifdef __x86_64__
#include <amd64/vmparam.h>
#else
#include <i386/vmparam.h>
#endif

#define USER_START ((void *)USER_OFFSET)
#define USER_END (USER_START + USER_LENGTH)

#define DMAP_START ((void *)DMAP_OFFSET)
#define DMAP_END (DMAP_START + DMAP_LENGTH)

#define KERN_START ((void *)KERN_OFFSET)
#define KERN_END (KERN_START + KERN_LENGTH)
