/* Copyright (C) 2021,2022 fef <owo@fef.moe>.  All rights reserved. */

#pragma once

/** @brief Print a full stack trace to the kernel log, starting from the caller. */
__asmlink
void ktrace_print(void);

/** @brief Print a full stack trace to the kernel log, starting from `frame`. */
__asmlink
void ktrace_print_from(void *frame);

/** @brief Get the address the current function call will return to. */
void *ktrace_return_addr(void);
