/* Copyright (C) 2021,2022 fef <owo@fef.moe>.  All rights reserved. */

#pragma once

#include <gay/types.h>

extern void _image_start_phys;
#define image_start_phys ((vm_paddr_t)&_image_start_phys)

extern void _image_end_phys;
#define image_end_phys ((vm_paddr_t)&_image_end_phys)

extern void _image_start;
#define image_start (&_image_start)

extern void _image_end;
#define image_end (&_image_end)

extern void _kernel_start_phys;
#define kern_start_phys ((vm_paddr_t)&_kernel_start_phys)

extern void _kernel_end_phys;
#define kern_end_phys ((vm_paddr_t)&_kernel_end_phys)

extern void _kernel_start;
#define kern_start (&_kernel_start)

extern void _kernel_end;
#define kern_end (&_kernel_end)

extern void _text_start;
#define text_start (&_text_start)

extern void _text_end;
#define text_end (&_text_end)

extern void _isr_start;
#define isr_start (&_isr_start)

extern void _isr_end;
#define isr_end (&_isr_end)
