/* Copyright (C) 2021,2022 fef <owo@fef.moe>.  All rights reserved. */

#include <arch/interrupt.h>

#include <asm/common.h>

	.text

/* void x86_load_idt(void) */
ASM_ENTRY(x86_load_idt)
	lidt	x86_idt_desc
	ret
ASM_END(x86_load_idt)

	.data

	.extern x86_idt

	.align 8
	.long 0 /* padding */
	.word 0 /* ... and another padding */
x86_idt_desc:
	.word X86_INTR_COUNT * 16 - 1	/* limit (size in bytes - 1) */
	.quad x86_idt			/* base */
	.size x86_idt_desc, . - x86_idt_desc
