/* Copyright (C) 2021,2022 fef <owo@fef.moe>.  All rights reserved. */

#include <arch/interrupt.h>

#include <asm/common.h>

	.text

/* void x86_load_idt(void) */
ASM_ENTRY(x86_load_idt)
	lidt	x86_idt_desc
	ret
ASM_END(x86_load_idt)

	.data

	.extern x86_idt

	.align 4
	.word 0 /* padding */
x86_idt_desc:
	.word X86_INTR_COUNT * 8 - 1	/* limit (size in bytes - 1) */
	.long x86_idt			/* base */
	.size x86_idt_desc, . - x86_idt_desc
